EnTT: entt::meta_handle Class Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
entt::meta_handle Class Reference

Opaque pointers to instances of any type. More...

`#include <meta.hpp>`

## Public Member Functions
| meta_handle ()=default
template<typename Type, typename = std::enable_if_t<!std::is_same_v<std::decay_t<Type>, meta_handle>>>
| meta_handle (const meta_ctx &ctx, Type &value)
| Creates a handle that points to an unmanaged object.
template<typename Type, typename = std::enable_if_t<!std::is_same_v<std::decay_t<Type>, meta_handle>>>
| meta_handle (Type &value)
| Creates a handle that points to an unmanaged object.
| meta_handle (const meta_ctx &area, meta_handle &&other)
| Context aware move constructor.
| meta_handle (const meta_handle &)=delete
| Default copy constructor, deleted on purpose.
| meta_handle (meta_handle &&)=default
| Default move constructor.
| ~meta_handle ()=default
| Default destructor.
meta_handle & | operator= (const meta_handle &)=delete
| Default copy assignment operator, deleted on purpose.
meta_handle & | operator= (meta_handle &&)=default
| Default move assignment operator.
| operator bool () const noexcept
| Returns false if a handle is invalid, true otherwise.
meta_any * | operator-> ()
| Access operator for accessing the contained opaque object.
const meta_any * | operator-> () const
| Access operator for accessing the contained opaque object.

## Detailed Description

Opaque pointers to instances of any type.

Definition at line 663 of file meta.hpp.

## Constructor & Destructor Documentation

## ◆ meta_handle() [1/4]

entt::meta_handle::meta_handle | ( |  | ) |
| default

Default constructor.

## ◆ meta_handle() [2/4]

template<typename Type, typename = std::enable_if_t<!std::is_same_v<std::decay_t<Type>, meta_handle>>>

entt::meta_handle::meta_handle | ( | const meta_ctx & | ctx,
|  | Type & | value )
| inline

Creates a handle that points to an unmanaged object.

Template Parameters

  Type | Type of object to use to initialize the handle.

Parameters

  ctx | The context from which to search for meta types.
  value | An instance of an object to use to initialize the handle.

Definition at line 683 of file meta.hpp.

## ◆ meta_handle() [3/4]

template<typename Type, typename = std::enable_if_t<!std::is_same_v<std::decay_t<Type>, meta_handle>>>

entt::meta_handle::meta_handle | ( | Type & | value | ) |
| inline

Creates a handle that points to an unmanaged object.

Template Parameters

  Type | Type of object to use to initialize the handle.

Parameters

  value | An instance of an object to use to initialize the handle.

Definition at line 692 of file meta.hpp.

## ◆ meta_handle() [4/4]

entt::meta_handle::meta_handle | ( | const meta_ctx & | area,
|  | meta_handle && | other )
| inline

Context aware move constructor.

Parameters

  area | The context from which to search for meta types.
  other | The instance to move from.

Definition at line 700 of file meta.hpp.

## Member Function Documentation

## ◆ operator bool()

entt::meta_handle::operator bool | ( |  | ) | const
| inlineexplicitnodiscardnoexcept

Returns false if a handle is invalid, true otherwise.

Returns
  False if the handle is invalid, true otherwise.

Definition at line 728 of file meta.hpp.

## ◆ operator->() [1/2]

meta_any * entt::meta_handle::operator-> | ( |  | ) |
| inlinenodiscard

Access operator for accessing the contained opaque object.

Returns
  A wrapper that shares a reference to an unmanaged object.

Definition at line 736 of file meta.hpp.

## ◆ operator->() [2/2]

const meta_any * entt::meta_handle::operator-> | ( |  | ) | const
| inlinenodiscard

Access operator for accessing the contained opaque object.

Returns
  A wrapper that shares a reference to an unmanaged object.

Definition at line 741 of file meta.hpp.

## ◆ operator=() [1/2]

meta_handle & entt::meta_handle::operator= | ( | const meta_handle & |  | ) |
| delete

Default copy assignment operator, deleted on purpose.

Returns
  This meta handle.

## ◆ operator=() [2/2]

meta_handle & entt::meta_handle::operator= | ( | meta_handle && |  | ) |
| default

Default move assignment operator.

Returns
  This meta handle.

The documentation for this class was generated from the following file:

- src/entt/meta/meta.hpp